[four-in-a-row] Stop using deprecated gnome-common



commit 7300d92fb4b7641b76c15bd8ab719a9313d471fb
Author: Sahil Sareen <sahil sareen hotmail com>
Date:   Tue Jan 5 18:55:07 2016 +0530

    Stop using deprecated gnome-common
    
      - Update Makefile, autogen and configure

 Makefile.am  |    3 +++
 autogen.sh   |   40 +++++++++++++++++++++++++++++++---------
 configure.ac |    3 ++-
 3 files changed, 36 insertions(+), 10 deletions(-)
---
diff --git a/Makefile.am b/Makefile.am
index c74448a..51711bb 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -7,4 +7,7 @@ MAINTAINERCLEANFILES = \
 EXTRA_DIST = \
        COPYING.faenza-themes
 
+# We currently have no custom macros
+GITIGNOREFILES = m4
+
 -include $(top_srcdir)/git.mk
diff --git a/autogen.sh b/autogen.sh
index 6e8332a..0f80d5d 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,15 +1,37 @@
 #!/bin/sh
 # Run this to generate all the initial makefiles, etc.
+test -n "$srcdir" || srcdir=`dirname "$0"`
+test -n "$srcdir" || srcdir=.
 
-which gnome-autogen.sh || {
-    echo "You need to install gnome-common from GNOME git (or from"
-    echo "your OS vendor's package manager)."
-    exit 1
+olddir=`pwd`
+
+cd $srcdir
+
+(test -f configure.ac) || {
+        echo "*** ERROR: Directory "\`$srcdir\'" does not look like the top-level project directory ***"
+        exit 1
 }
 
-REQUIRED_AUTOMAKE_VERSION=1.9 
-REQUIRED_YELP_TOOLS_VERSION=3.1.1
-REQUIRED_GETTEXT_VERSION=0.12
-REQUIRED_INTLTOOL_VERSION=0.40.4
+PKG_NAME=`autoconf --trace 'AC_INIT:$1' configure.ac`
+
+if [ "$#" = 0 -a "x$NOCONFIGURE" = "x" ]; then
+        echo "*** WARNING: I am going to run \`configure' with no arguments." >&2
+        echo "*** If you wish to pass any to it, please specify them on the" >&2
+        echo "*** \`$0\' command line." >&2
+        echo "" >&2
+fi
+
+aclocal --install || exit 1
+intltoolize --force --copy --automake || exit 1
+autoreconf --verbose --force --install -Wno-portability || exit 1
+
+cd $olddir
+if [ "$NOCONFIGURE" = "" ]; then
+        $srcdir/configure "$@" || exit 1
 
-. gnome-autogen.sh
+        if [ "$1" = "--help" ]; then exit 0 else
+                echo "Now type \`make\' to compile $PKG_NAME" || exit 1
+        fi
+else
+        echo "Skipping configure process."
+fi
diff --git a/configure.ac b/configure.ac
index a064c85..8ef5353 100644
--- a/configure.ac
+++ b/configure.ac
@@ -2,9 +2,10 @@ AC_PREREQ([2.63])
 AC_INIT([Four-in-a-Row], [3.18.1], [https://bugzilla.gnome.org/],
         [four-in-a-row], [https://wiki.gnome.org/Apps/Four-in-a-row])
 AM_INIT_AUTOMAKE([1.11 no-dist-gzip dist-xz foreign])
+AC_CONFIG_MACRO_DIR([m4])
+
 AM_SILENT_RULES([yes])
 AM_MAINTAINER_MODE
-GNOME_MAINTAINER_MODE_DEFINES
 AC_CONFIG_HEADERS([config.h])
 
 AM_PROG_VALAC([0.22])


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]